Reception
Date: 2015-09-11

javax.enterprise.event

## Enum Reception

- java.lang.Object
- - java.lang.Enum<Reception>
  - - javax.enterprise.event.Reception

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Reception>

      public enum Reception
      extends java.lang.Enum<Reception>

  Distinguishes conditional observer methods from observer methods which are always notified.

  A conditional observer method is an observer method which is notified of an event only if an instance of the bean that defines the observer method already exists in the current context.

  Beans with scope `@Dependent` may not have conditional observer methods.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` Specifies that an observer method always receives event notifications.
    `IF_EXISTS` Specifies that an observer method is only called if the current instance of the bean declaring the observer method already exists.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Reception` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Reception[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IF_EXISTS

          public static final Reception IF_EXISTS

      Specifies that an observer method is only called if the current instance of the bean declaring the observer method already exists.

    - #### ALWAYS

          public static final Reception ALWAYS

      Specifies that an observer method always receives event notifications.

  - ### Method Detail

    - #### values

          public static Reception[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Reception c : Reception.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Reception valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null